k
Prev | Orchestra Opcodes and Operators | Next

## k

k — Converts a i-rate parameter to an k-rate value.

## Description

Converts an i-rate value to control rate, for example to be used with rnd() and birnd() to generate random numbers at k-rate.

## Syntax

    k(x) (i-rate args only)

where the argument within the parentheses may be an expression. Value converters perform arithmetic translation from units of one kind to units of another. The result can then be a term in a further expression.

## See Also

i a

More information on this opcode: http://www.csounds.com/journal/issue10/CsoundRates.html , written by Andrés Cabrera

## Credits

Author: Istvan Varga

New in version Csound 5.00

Prev | Up | Next
jspline | Home | kbetarand